﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Kolokwium.ModelWidoku
{
    public class Class1 : INotifyPropertyChanged
    {
        private Model.Class1 model = new Model.Class1();

        public double Wartość
        {
            get
            {
                return model.Wartość;
            }
            set
            {
                model.Wartość = value;
                onPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void onPropertyChanged()
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(nameof(Wartość)));
        }

        private ICommand resetujCommand;

        public ICommand Resetuj
        {
            get
            {
                if (resetujCommand == null)
                    resetujCommand = new RelayCommand(
                        (object parametr) =>
                        {
                            Wartość = 0;
                            onPropertyChanged();
                        },
                        (object parametr) =>
                        {
                            return Wartość != 0;
                        }
                        );
                return resetujCommand;
            }
        }
    }
}
